# Product prices in order details

Get the following data about the product prices in order details with Ecwid API:

* Price of each product in the order with and without taxes
* Sum of product prices in the order (subtotal) with and without taxes
* Base product price (before any price modifiers) as in the Ecwid admin
* State and value of the "customer-selected price" for products in the order

### Configured order API call

You can filter out everything in the order details except for the prices with the `responseFields` query param.

#### Request example:

{% code overflow="wrap" %}

```http
GET /api/v3/STOREID/orders/ORDERID?responseFields=subtotal,subtotalWithoutTax,items(id,price,priceWithoutTax,productPrice,isCustomerSetPrice,selectedPrice(value)) HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

{% endcode %}

Change `STOREID` with your store ID, `ORDERID` with the order ID ([find order ID](/api-reference/rest-api/orders/search-orders.md)), and the `secret_token` with the secret access token of your app.

#### Response examples:

{% tabs %}
{% tab title="Example 1" %}

```json
{
    "subtotal": 10,
    "subtotalWithoutTax": 9.09,
    "items": [
        {
            "id": 1828115520,
            "price": 10,
            "priceWithoutTax": 9.09,
            "productPrice": 10
        }
    ]
}
```

{% endtab %}

{% tab title="Example 2" %}

```json
{
    "subtotal": 200,
    "subtotalWithoutTax": 200,
    "items": [
        {
            "id": 1917576131,
            "price": 100,
            "priceWithoutTax": 100,
            "productPrice": 25,
            "isCustomerSetPrice": true,
            "selectedPrice": {
                "value": 100
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If `priceWithoutTax` < `price`, the product has taxes included in the price. Check the `pricesIncludeTax` value and process the order accordingly.
{% endhint %}

where:

* `subtotal` - Sum of all product prices before any fees or discounts.
* `subtotalWithoutTax` - Sum of all product prices before any fees, discounts, and taxes apply.<br>
* `items.id` - Internal product ID for API calls.
* `items.price` - Product price in the order that includes taxes.
* `items.priceWithoutTax` - Product price in the order without taxes.
* `items.productPrice` - Base product price as in the Ecwid admin without any price modifiers from the order applied.<br>
* `items.isCustomerSetPrice` - If `true`, customers can enter their own price for the product.
* `items.selectedPrice.value` - Price entered for the product by the customer. If exists, overrides other price values except for the `productPrice`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/guides/orders/get-order-details/product-prices-in-order-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
